Make this test work for fs block size < page size

This commit is contained in:
Eric Sandeen
2002-07-31 21:32:56 +00:00
parent 51a0d183f5
commit c4f469913e
+4 -2
View File
@@ -46,7 +46,6 @@ here=`pwd`
tmp=/tmp/$$
status=1 # failure is the default!
trap "_cleanup; exit \$status" 0 1 2 3 15
bsize=`$here/src/getpagesize`
_cleanup()
{
@@ -64,13 +63,16 @@ _block_filter()
_init()
{
echo "*** mkfs"
if ! mkfs_xfs $SCRATCH_DEV >$tmp.out 2>&1
if ! (mkfs_xfs $SCRATCH_DEV | _filter_mkfs 1>/dev/null 2>$tmp.out)
then
cat $tmp.out
echo "failed to mkfs $SCRATCH_DEV"
exit 1
fi
source $tmp.out
bsize=$dbsize
echo "*** mount"
if ! mount $SCRATCH_DEV $SCRATCH_MNT -t xfs
then